! Configuration File for keepalived
global_defs {
    router_id LVS_DEVEL
}
vrrp_script chk_apiserver {
    script "/etc/keepalived/check_apiserver.sh"
    interval 5
    weight -5
    fall 2
    rise 1
}
vrrp_instance VI_1 {
    state BACKUP
    interface enp125s0f0
    virtual_router_id 109
    priority 81
    nopreempt
    advert_int 2
    preempt_delay 10
    authentication {
        auth_type PASS
        auth_pass K8SHA_KA_AUTH
    }
    mcast_src_ip 192.168.251.141
    virtual_ipaddress {
        192.168.251.221
    }
    track_script {
        chk_apiserver  
    }
}
